| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
GaudiPython::TupleToolDecorator Class Reference

Simple class to perform the "decoration" of Tuples in Python/ROOT. More...

`#include <GaudiPython/TupleDecorator.h>`

## Static Public Member Functions
static Tuples::Tuple | nTuple (const ITupleTool &tool, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | nTuple (const ITupleTool &tool, const GaudiAlg::TupleID &ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | nTuple (const ITupleTool &tool, const int ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | nTuple (const ITupleTool &tool, const std::string &ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | evtCol (const ITupleTool &tool, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | evtCol (const ITupleTool &tool, const GaudiAlg::TupleID &ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | evtCol (const ITupleTool &tool, const int ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | evtCol (const ITupleTool &tool, const std::string &ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...

## Detailed Description

Simple class to perform the "decoration" of Tuples in Python/ROOT.

Author
  Vanya BELYAEV ibely.nosp@m.aev@.nosp@m.physi.nosp@m.cs.s.nosp@m.yr.ed.nosp@m.u

Date
  2005-08-17

Definition at line 511 of file TupleDecorator.h.

## Member Function Documentation

static Tuples::Tuple GaudiPython::TupleToolDecorator::evtCol | ( | const ITupleTool & | tool,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| inline static

get n-tuple (book-on-demand)

Definition at line 548 of file TupleDecorator.h.

551 { return tool.evtCol ( title , clid ) ; }
ITupleTool::evtCol
virtual Tuple evtCol(const std::string &title, const CLID &clid=CLID_RowWiseTuple) const =0

static Tuples::Tuple GaudiPython::TupleToolDecorator::evtCol | ( | const ITupleTool & | tool,
|  | const GaudiAlg::TupleID & | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| inline static

get n-tuple (book-on-demand)

Definition at line 555 of file TupleDecorator.h.

559 { return tool.nTuple ( ID , title , clid ) ; }
ITupleTool::nTuple
virtual Tuple nTuple(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const =0
get N-tuple object ( book on-demand ) with unique identifier

static Tuples::Tuple GaudiPython::TupleToolDecorator::evtCol | ( | const ITupleTool & | tool,
|  | const int | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| inline static

get n-tuple (book-on-demand)

Definition at line 563 of file TupleDecorator.h.

567 { return tool.nTuple ( ID , title , clid ) ; }
ITupleTool::nTuple
virtual Tuple nTuple(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const =0
get N-tuple object ( book on-demand ) with unique identifier

static Tuples::Tuple GaudiPython::TupleToolDecorator::evtCol | ( | const ITupleTool & | tool,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| inline static

get n-tuple (book-on-demand)

Definition at line 571 of file TupleDecorator.h.

575 { return tool.nTuple ( ID , title , clid ) ; }
ITupleTool::nTuple
virtual Tuple nTuple(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const =0
get N-tuple object ( book on-demand ) with unique identifier

static Tuples::Tuple GaudiPython::TupleToolDecorator::nTuple | ( | const ITupleTool & | tool,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| inline static

get n-tuple (book-on-demand)

Definition at line 517 of file TupleDecorator.h.

520 { return tool.nTuple ( title , clid ) ; }
ITupleTool::nTuple
virtual Tuple nTuple(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const =0
get N-tuple object ( book on-demand ) with unique identifier

static Tuples::Tuple GaudiPython::TupleToolDecorator::nTuple | ( | const ITupleTool & | tool,
|  | const GaudiAlg::TupleID & | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| inline static

get n-tuple (book-on-demand)

Definition at line 524 of file TupleDecorator.h.

528 { return tool.nTuple ( ID , title , clid ) ; }
ITupleTool::nTuple
virtual Tuple nTuple(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const =0
get N-tuple object ( book on-demand ) with unique identifier

static Tuples::Tuple GaudiPython::TupleToolDecorator::nTuple | ( | const ITupleTool & | tool,
|  | const int | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| inline static

get n-tuple (book-on-demand)

Definition at line 532 of file TupleDecorator.h.

536 { return tool.nTuple ( ID , title , clid ) ; }
ITupleTool::nTuple
virtual Tuple nTuple(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const =0
get N-tuple object ( book on-demand ) with unique identifier

static Tuples::Tuple GaudiPython::TupleToolDecorator::nTuple | ( | const ITupleTool & | tool,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| inline static

get n-tuple (book-on-demand)

Definition at line 540 of file TupleDecorator.h.

544 { return tool.nTuple ( ID , title , clid ) ; }
ITupleTool::nTuple
virtual Tuple nTuple(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const =0
get N-tuple object ( book on-demand ) with unique identifier

The documentation for this class was generated from the following file:

- GaudiPython/GaudiPython/TupleDecorator.h